=== debian/changelog ===
govarnam (1.9.0-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:49:30 +0200

govarnam (1.9.0-2) unstable; urgency=medium

  * d/control: Recommend individual scheme files too.
    This allows users to select a specific one if they don't want the whole
    set.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Nov 2023 11:31:07 +0100

govarnam (1.9.0-1) unstable; urgency=medium

  * Initial Debian release (Closes: #1052001)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Sep 2023 16:51:57 +0200
