=== debian/control ===
Source: govarnam
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Guido Günther <agx@sigxcpu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 fakeroot,
 golang-any (>= 1.16.0),
 golang-github-mattn-go-sqlite3-dev,
 pkg-config,
Standards-Version: 4.6.2
Homepage: https://github.com/varnamproject/govarnam
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/govarnam
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/govarnam.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/varnamproject/govarnam

Package: libgovarnam1
Architecture: any
Multi-Arch: same
Section: libs
Recommends:
 varnam-schemes | varnam-schemes-ml | varnam-schemes-ta | varnam-schemes-hi,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Transliteration library to type Indic languages
 Govarnam is a transliteration library to type Indic languages.
 .
 This package contains the shared libraries for applications interfacing with
 govarnam.

Package: libgovarnam-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libgovarnam1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Development files for libgovarnam
 Govarnam is a transliteration library to type Indic languages.
 .
 This package contains development files and Vala bindings to use when writing
 applications that interface with GThd.
