=== debian/tests/control ===
Tests: build-test
Depends:
 build-essential,
 libgovarnam-dev,
 pkg-config,
Restrictions: allow-stderr, superficial
