## govarnam 1.9.1

=== Makefile ===
--- 
+++ 
@@ -16,14 +16,17 @@
 
 SED := sed -i
 LIB_NAME := libgovarnam.so
+SO_NAME := $(shell (echo $(VERSION) | cut -d. -f1))
+CURDIR := $(shell pwd)
 
 ifeq ($(UNAME), Darwin)
   SED := sed -i ""
-	LIB_NAME = libgovarnam.dylib
+  LIB_NAME = libgovarnam.dylib
+else
+  EXT_LDFLAGS = -extldflags "-Wl,-soname,$(LIB_NAME).$(SO_NAME),--version-script,$(CURDIR)/govarnam.syms"
 endif
 
-VERSION_STAMP_LDFLAGS := -X 'github.com/varnamproject/govarnam/govarnam.BuildString=${BUILDSTR}' -X 'github.com/varnamproject/govarnam/govarnam.VersionString=${VERSION}'
-
+VERSION_STAMP_LDFLAGS := -X 'github.com/varnamproject/govarnam/govarnam.BuildString=${BUILDSTR}' -X 'github.com/varnamproject/govarnam/govarnam.VersionString=${VERSION}' $(EXT_LDFLAGS)
 pc:
 	cp govarnam.pc.in govarnam.pc
 	${SED} "s#@INSTALL_PREFIX@#${INSTALL_PREFIX}#g" govarnam.pc
@@ -36,17 +39,25 @@
 	${SED} "s#@VERSION@#${VERSION}#g" govarnam.pc
 
 	${SED} "s#/include/libgovarnam##g" govarnam.pc
-	${SED} "s#/lib##g" govarnam.pc
+	${SED} "s#/lib\$$##g" govarnam.pc
 
-install-script:
+install.sh: install.sh.in
 	cp install.sh.in install.sh
 	${SED} "s#@INSTALL_PREFIX@#${INSTALL_PREFIX}#g" install.sh
 	${SED} "s#@VERSION@#${VERSION}#g" install.sh
 	${SED} "s#@LIB_NAME@#${LIB_NAME}#g" install.sh
+	${SED} "s#@SO_NAME@#${SO_NAME}#g" install.sh
 	chmod +x install.sh
 
-install:
+.PHONY: install
+install: install.sh
 	./install.sh install
+
+.PHONY: uninstall
+uninstall: install.sh
+	./install.sh uninstall
+
+
 
 .PHONY: cli
 cli:
@@ -57,6 +68,7 @@
 
 library:
 	CGO_ENABLED=1 go build -tags "fts5" -buildmode=c-shared -ldflags "-s -w ${VERSION_STAMP_LDFLAGS}" -o ${LIB_NAME} .
+	ln -sf "$(realpath ./)/libgovarnam.so" "$(realpath ./)/libgovarnam.so.${SO_NAME}"
 
 library-mac-universal:
 	GOOS=darwin GOARCH=arm64 $(MAKE) library
@@ -73,7 +85,7 @@
 	PKG_CONFIG_PATH=$(realpath .):$$PKG_CONFIG_PATH $(MAKE) cli
 
 	$(MAKE) pc
-	$(MAKE) install-script
+	$(MAKE) install.sh
 
 .PHONY:
 build:
@@ -83,7 +95,7 @@
 	echo "Hope you have updated version in constants.go"
 	mkdir -p ${RELEASE_NAME}
 	cp ${CLI_BIN} ${RELEASE_NAME}/
-	cp libgovarnam.so ${RELEASE_NAME}/
+	cp libgovarnam.so* ${RELEASE_NAME}/
 	cp *.h ${RELEASE_NAME}/
 	cp *.pc ${RELEASE_NAME}/
 	cp install.sh ${RELEASE_NAME}/
@@ -99,3 +111,7 @@
 
 	$(MAKE) library
 	$(MAKE) test-govarnamgo
+
+.PHONY: clean
+clean:
+	rm -f varnamcli libgovarnam.*  govarnam.pc install.sh
