=== debian/changelog ===
govarnam (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Rediff patches.
    We can drop most of them only keeping the ones that allow one to set
    libdir and to skip cli installation.
  * d/rules: Adjust to install.sh target rename
  * install: Allow for minor version updates
  * Use generated symlink.
    The symlink with the soname is now handled by the upstream
    scripts
  * install: Use symlink without path
  * Use pkgconf instead of pkg-config
  * Bump standards version. No changes needed.
  * Add gitignore
  * Add new symbols.
    They're not namespaced atm:
        https://github.com/varnamproject/govarnam/issues/65
  * Drop `bool` typedef.
    Use `int` instead which it was aliased too.
    Closes: #1096754

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Sep 2025 14:57:58 +0200
